=== modified file 'ibid/config.py'
--- ibid/config.py	2009-07-18 08:12:22 +0000
+++ ibid/config.py	2009-07-18 11:11:25 +0000
@@ -64,7 +64,7 @@
         if not isinstance(value, (list, tuple)):
             value = [value]
 
-        if not value[0] and self.default:
+        if value and not value[0] and self.default:
             both = []
             both.extend(self.default)
             both.extend(value[1:])

=== modified file 'ibid/plugins/core.py'
--- ibid/plugins/core.py	2009-07-18 08:09:39 +0000
+++ ibid/plugins/core.py	2009-07-18 11:11:25 +0000
@@ -29,7 +29,7 @@
             matches = pattern.search(event.message['stripped'])
             if matches:
                 new_message = pattern.sub('', event.message['stripped'])
-                if len(matches.groups()) > 1 and not matches.group(2) and new_message.lower().startswith(self.verbs):
+                if len(matches.groups()) > 1 and not matches.group(2) and new_message.lower().startswith(tuple(self.verbs)):
                     return
 
                 event.addressed = matches.group(1)

